%define api		2.0
%define major		0
%define libname		%mklibname atk-bridge %{api} %{major}
%define develname	%mklibname atk-bridge -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%global dont_check_desktop_files	1

Name:		at-spi2-atk
Version:	2.38.0
Release:	%mkrel 1
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(atk) >= 2.33.3
BuildRequires:	pkgconfig(atspi-2) >= 2.33.2
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:	intltool
BuildRequires:	meson
Requires:	at-spi2-core >= 2.1.4

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package -n %{libname}
Group:		System/Libraries
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi

%description -n %{libname}
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package -n %{develname}
Group:		Development/C
Summary:	GNOME Weather applet library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS README
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/%{name}.desktop
%{_libdir}/gtk-2.0/modules/libatk-bridge.so

%files -n %{libname}
%{_libdir}/libatk-bridge-%{api}.so.%{major}
%{_libdir}/libatk-bridge-%{api}.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Sat Sep 12 2020 ovitters <ovitters> 2.38.0-1.mga8
+ Revision: 1625385
- new version 2.38.0

* Mon Aug 10 2020 ovitters <ovitters> 2.37.90-1.mga8
+ Revision: 1612778
- new version 2.37.90

* Sat Feb 29 2020 ovitters <ovitters> 2.34.2-1.mga8
+ Revision: 1552483
- new version 2.34.2

* Sun Feb 16 2020 umeabot <umeabot> 2.34.1-2.mga8
+ Revision: 1534955
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 ovitters <ovitters> 2.34.1-1.mga8
+ Revision: 1450368
- new version 2.34.1

* Mon Sep 09 2019 ovitters <ovitters> 2.34.0-1.mga8
+ Revision: 1438974
- new version 2.34.0

* Mon Sep 02 2019 ovitters <ovitters> 2.33.92-1.mga8
+ Revision: 1436448
- new version 2.33.92

* Mon Aug 19 2019 ovitters <ovitters> 2.33.91-1.mga8
+ Revision: 1430360
- new version 2.33.91

* Sat Aug 10 2019 tv <tv> 2.33.2-1.mga8
+ Revision: 1428643
- new release

* Wed Apr 17 2019 umeabot <umeabot> 2.32.0-2.mga7
+ Revision: 1392117
- Rebuild with meson 0.50.1

* Tue Mar 12 2019 ovitters <ovitters> 2.32.0-1.mga7
+ Revision: 1374444
- new version 2.32.0

* Thu Mar 07 2019 ovitters <ovitters> 2.31.92-1.mga7
+ Revision: 1372525
- new version 2.31.92

* Mon Mar 04 2019 ovitters <ovitters> 2.30.1-1.mga7
+ Revision: 1371417
- new version 2.30.1

* Tue Sep 04 2018 ovitters <ovitters> 2.30.0-1.mga7
+ Revision: 1257025
- new version 2.30.0
- new version 2.29.1
+ kekepower <kekepower>
- Use new make macros

* Tue Mar 13 2018 ovitters <ovitters> 2.26.2-1.mga7
+ Revision: 1208817
- new version 2.26.2

* Mon Oct 30 2017 ovitters <ovitters> 2.26.1-1.mga7
+ Revision: 1175076
- new version 2.26.1

* Mon Sep 11 2017 ovitters <ovitters> 2.26.0-1.mga7
+ Revision: 1153023
- new version 2.26.0

* Mon Aug 21 2017 ovitters <ovitters> 2.25.3-1.mga7
+ Revision: 1142737
- new version 2.25.3

* Tue May 09 2017 ovitters <ovitters> 2.24.1-1.mga6
+ Revision: 1099764
- new version 2.24.1

* Tue Mar 21 2017 ovitters <ovitters> 2.24.0-1.mga6
+ Revision: 1093942
- new version 2.24.0

* Mon Sep 26 2016 ovitters <ovitters> 2.22.0-1.mga6
+ Revision: 1056740
- new version 2.22.0

* Sun Sep 18 2016 ovitters <ovitters> 2.21.91-1.mga6
+ Revision: 1053884
- new version 2.21.91

* Tue Apr 12 2016 ovitters <ovitters> 2.20.1-1.mga6
+ Revision: 1000663
- new version 2.20.1

* Tue Mar 22 2016 ovitters <ovitters> 2.20.0-1.mga6
+ Revision: 993865
- new version 2.20.0

* Mon Mar 14 2016 ovitters <ovitters> 2.19.92-1.mga6
+ Revision: 990737
- new version 2.19.92

* Tue Mar 01 2016 ovitters <ovitters> 2.19.91-1.mga6
+ Revision: 981217
- new version 2.19.91

* Mon Feb 15 2016 ovitters <ovitters> 2.19.90-1.mga6
+ Revision: 961684
- new version 2.19.90

* Tue Nov 24 2015 ovitters <ovitters> 2.19.2-1.mga6
+ Revision: 905775
- new version 2.19.2

* Mon Oct 12 2015 ovitters <ovitters> 2.18.1-1.mga6
+ Revision: 890126
- new version 2.18.1

* Thu Sep 24 2015 tv <tv> 2.18.0-1.mga6
+ Revision: 882570
- kill useless find_lang
- new release

* Mon Aug 17 2015 ovitters <ovitters> 2.17.90-1.mga6
+ Revision: 865380
- new version 2.17.90

* Wed Jul 22 2015 ovitters <ovitters> 2.17.1-1.mga6
+ Revision: 856228
- new version 2.17.1

* Sat Jun 20 2015 ovitters <ovitters> 2.16.0-1.mga6
+ Revision: 836911
- new version 2.16.0

* Wed Oct 15 2014 umeabot <umeabot> 2.14.1-2.mga5
+ Revision: 742524
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 2.14.1-1.mga5
+ Revision: 738534
- new version 2.14.1

* Mon Sep 22 2014 ovitters <ovitters> 2.14.0-1.mga5
+ Revision: 719207
- new version 2.14.0

* Tue Sep 16 2014 umeabot <umeabot> 2.13.4-2.mga5
+ Revision: 678014
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 ovitters <ovitters> 2.13.4-1.mga5
+ Revision: 655169
- new version 2.13.4

* Fri May 30 2014 ovitters <ovitters> 2.13.1-1.mga5
+ Revision: 627801
- new version 2.13.1

* Mon Apr 14 2014 ovitters <ovitters> 2.12.1-1.mga5
+ Revision: 614286
- new version 2.12.1

* Mon Mar 24 2014 ovitters <ovitters> 2.12.0-1.mga5
+ Revision: 608137
- new version 2.12.0

* Mon Mar 17 2014 ovitters <ovitters> 2.11.92-1.mga5
+ Revision: 604591
- new version 2.11.92

* Tue Mar 04 2014 ovitters <ovitters> 2.11.91-1.mga5
+ Revision: 599225
- new version 2.11.91

* Thu Feb 27 2014 ovitters <ovitters> 2.11.90-1.mga5
+ Revision: 597613
- new version 2.11.90

* Wed Feb 05 2014 ovitters <ovitters> 2.11.5-1.mga5
+ Revision: 583745
- new version 2.11.5

* Tue Nov 12 2013 ovitters <ovitters> 2.10.2-1.mga4
+ Revision: 550666
- new version 2.10.2

* Sat Oct 19 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 536524
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 2.10.0-1.mga4
+ Revision: 484604
- new version 2.10.0

* Mon Sep 16 2013 ovitters <ovitters> 2.9.92-1.mga4
+ Revision: 480451
- new version 2.9.92

* Tue Aug 20 2013 fwang <fwang> 2.9.90-1.mga4
+ Revision: 468438
- bump req
+ ovitters <ovitters>
- new version 2.9.90

* Tue Jul 30 2013 ovitters <ovitters> 2.9.5-1.mga4
+ Revision: 460719
- new version 2.9.5

* Sun Jul 28 2013 dams <dams> 2.9.4-1.mga4
+ Revision: 459264
- new version 2.9.4

* Sat May 25 2013 ovitters <ovitters> 2.8.1-1.mga4
+ Revision: 427319
- retab
- update file list
- new version 2.8.1

* Fri Jan 11 2013 umeabot <umeabot> 2.6.2-2.mga3
+ Revision: 346514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 2.6.2-1.mga3
+ Revision: 317356
- new version 2.6.2

* Wed Oct 17 2012 ovitters <ovitters> 2.6.1-1.mga3
+ Revision: 307389
- new version 2.6.1

* Tue Sep 25 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 297290
- new version 2.6.0

* Tue Sep 18 2012 ovitters <ovitters> 2.5.92-1.mga3
+ Revision: 295795
- new version 2.5.92

* Tue Sep 04 2012 fwang <fwang> 2.5.91-1.mga3
+ Revision: 287855
- update file list
+ ovitters <ovitters>
- new version 2.5.91

* Mon Aug 20 2012 ovitters <ovitters> 2.5.90-1.mga3
+ Revision: 282685
- new version 2.5.90

* Mon Aug 06 2012 ovitters <ovitters> 2.5.5-1.mga3
+ Revision: 279554
- new version 2.5.5

* Mon Jul 16 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271577
- new version 2.5.4

* Tue Jun 26 2012 fwang <fwang> 2.5.3-1.mga3
+ Revision: 263817
- update file list
- new version 2.5.3

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226980
- new version 2.4.0

* Mon Mar 19 2012 ovitters <ovitters> 2.3.92-1.mga2
+ Revision: 224534
- new version 2.3.92

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219626
- new version 2.3.91

* Wed Feb 22 2012 ovitters <ovitters> 2.3.90-1.mga2
+ Revision: 212335
- new version

* Tue Feb 07 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 205818
- new version 2.3.5

* Mon Jan 16 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 196789
- new version 2.3.4

* Tue Dec 20 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 184750
- new version 2.3.3

* Tue Nov 22 2011 fwang <fwang> 2.3.2-1.mga2
+ Revision: 170800
- new version 2.3.2

* Sat Oct 29 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 159457
- new version 2.3.1

* Tue Oct 18 2011 wally <wally> 2.2.1-1.mga2
+ Revision: 156074
- new version 2.2.1

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149122
- new version 2.2.0

* Tue Sep 20 2011 fwang <fwang> 2.1.92-1.mga2
+ Revision: 145847
- new version 2.1.92

* Tue Sep 06 2011 tv <tv> 2.1.91-1.mga2
+ Revision: 139229
- new release

* Wed Aug 31 2011 fwang <fwang> 2.1.90-1.mga2
+ Revision: 136869
- new version 2.1.90
+ saispo <saispo>
- imported package at-spi2-atk

